SUNINSTALL(8)

NAME
suninstall - install and upgrade the SunOS operating system

SYNOPSIS
/usr/etc/install/suninstall

DESCRIPTION

suninstall is a forms-based subsystem for installing and upgrading the SunOS operating system. Unlike previous installation subsystems, suninstall does not require recapitulation of an interrupted procedure; you can pick up where you left off. A new invocation of suninstall displays the saved information and offers the user an opportunity to make any needed alterations before it proceeds.

Note: suninstall only exists in the mini-root and should only be invoked from there (see

suninstall allows installation of the operating system onto any system configuration, be it standalone, dataless, a homogeneous file server, or a heterogeneous server. It installs the various versions of the operating system needed by clients on a heterogeneous file server, from any Sun distribution media format. The number of different system versions that can be installed is only limited to the disk space available.

After the initial installation, the suninstall utility program add_client(8) adds clients while the server is running in multiuser mode. The suninstall add_services(8) program converts a standalone system or server into a heterogeneous file server, without rebooting, while the system is running in multiuser mode. To remove a diskless client, use the suninstall rm_client(8) program in multiuser mode.

To abort the installation procedure, use the interrupt character (typically CTRL-C).

USAGE

Refer to for more information on the various menus and selections.

FILES
/usr/etc/install
    directory containing installation programs and scripts
/usr/etc/install/xdrtoc
    subsystem utility program
/etc/install
    directory containing suninstall data files

SEE ALSO
add_client(8), add_services(8), extract_unbundled(8), rm_client(8)

NOTES

It is advisable to exit suninstall through the exit options from the suninstall menus.